<link rel="stylesheet" type="text/css" href="{$module_dir}css/gpn.css" >

<div class="gpn-wrap">
	{$gpndata_confirmation}
	<div class="gpn-header">
		<a href="https://www.merchantselfboarding.com/ngss/presta?PartnerID=presta" target="_blank"><img src="{$module_dir}img/scripturl-s.png" alt="GPN DATA" class="gpn-scripturl-s" /></a>
		<span class="gpn-intro">{l s='Online Payment Gateway' mod='gpndata'}<br />
		{l s='State-of-the-art processing technology' mod='gpndata'}</span>
		<a href="https://gpndata.com/locations/" target="_blank" class="gpn-create-btn">{l s='Create an Account Now!' mod='gpndata'}</a>
	</div>
	<div class="gpn-content">
		<div class="gpn-half L">
			<h3>{l s='GPN Data offers the following benefits' mod='gpndata'}</h3>
			<ul>
				<li><strong>{l s='Increase customer payment options' mod='gpndata'}</strong></li>
				<li><strong>{l s='Visa, MasterCard, Maestro, Amex, Union Pay'}</strong><br />
				<li><strong>{l s='Enhanced security' mod='gpndata'}</strong><br />
				{l s='Fraud mitigation programs leading to up to 90% savings ' mod='gpndata'}</li></li>
				<li>{l s='Simple, reliable solution to process online credit card payments' mod='gpndata'}</li>
				<li>{l s='Recurring billing' mod='gpndata'}</li>
				<li>{l s='24/7/365 technical support' mod='gpndata'}</li>
				<p class="gpn-note"><strong>*</strong> {l s='New merchant account required and subject to credit approval.' mod='gpndata'}</p>
			</ul>
		</div>
		<!--
		<div class="gpn-half R">
			<ul>
				<li id="gpn-li-first">{l s='Simple, secure and reliable solution to process online payments' mod='gpndata'}</li>
				<li>{l s='Recurring Billing' mod='gpndata'}</li>
				<li>{l s='24/7/365 customer support' mod='gpndata'}</li>
				<li>{l s='Ability to perform full or partial refunds' mod='gpndata'}</li>
			</ul>
			<p class="gpn-note"><strong>*</strong> {l s='New merchant account required and subject to credit approval.' mod='gpndata'}</p>
		</div> -->
		
		<div class="gpn-full" style="border:1">
			<h3>{l s='Accept payments World Wide using all major credit cards' mod='gpndata'}</h3>
			<p>
				<span>
					<img src="{$module_dir}img/visa.png" alt="{l s='Visa®' mod='gpn'}" class="gpn-cc" />
					<img src="/prestashop/modules/gpndata/img/mastercard.png" alt="MasterCard®" class="gpn-cc" />
					<img src="/prestashop/modules/gpndata/img/maestro.png" alt="Maestro®" class="gpn-cc" />
					<img src="/prestashop/modules/gpndata/img/amex.png" alt="American Express®" class="gpn-cc" />
					<img src="/prestashop/modules/gpndata/img/unionpay.png" alt="American Express®" class="gpn-cc" />
				</span>
			</p>
			
			
		<!--	{l s='Call 888-368-4284 if you have any questions or need more information!' mod='gpndata'}</p>-->
		</div>
	</div>

{if !$gpndata_ssl}
	<div><strong>{l s='SSL is not active on your shop.' mod='gpndata'}</strong><br/><br/>
	<strong class="warn">{l s='This is not supported configuration and you will not be able to process credit card payments!' mod='gpndata'}</strong></div>
{/if}
<br/>
	<form action="{$gpndata_form|escape:'htmlall':'UTF-8'}" id="gpndata-configuration" method="post">
		<fieldset>
			<legend id="config"><img src="{$module_dir}img/icon-config.gif" id="config-scripturl" alt="" />{l s='Configuration' mod='gpndata'}</legend>
			<div> <!-- class="gpn-half L" -->
				<p class="MB10">{l s='In order to use this module, please fill out the form with the credentials provided to you by GPN DATA Technical Support!' mod='gpndata'}</p>
				
				<label for="gpndata_payment_description">{l s='Description:' mod='gpndata'}</label>
				<div class="margin-form">
				<textarea rows="3" cols="20" class="text" type="textarea" name="gpndata_payment_description" id="gpndata_payment_description" style="width:390px;" placeholder="">{$gpndata_payment_description|escape:'htmlall':'UTF-8'}</textarea><br><br><sup class="sup-ast">*</sup>
					
					<sup class="sup-desc">This controls the description which the user sees during checkout.</sup>
  			    </div>
				<label for="gpndata_payment_merchant_name">{l s='Merchant name:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_payment_merchant_name" id="gpndata_payment_merchant_name" value="{$gpndata_payment_merchant_name|escape:'htmlall':'UTF-8'}" /> <br><br><sup class="sup-ast">*</sup>
					<sup class="sup-desc">Merchant name as it will appear on the Payment Page..</sup>
  			    </div>
				<label for="gpndata_payment_page_url">{l s='Transaction URL:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_payment_page_url" id="gpndata_payment_page_url" value="{$gpndata_payment_page_url|escape:'htmlall':'UTF-8'}" /> <br><br><sup class="sup-ast">*</sup>
					<sup class="sup-desc">This is the URL that you have received from GPN Data, used for connecting to the payment page.</sup>
  			    </div>
				<label for="gpndata_api_url">{l s='Transaction API URL :' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_api_url" id="gpndata_api_url" value="{$gpndata_api_url|escape:'htmlall':'UTF-8'}" /><br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">This is the URL that you have received from GPN Data, used for full API functionality.</sup>
  			    </div>
				<label for="gpndata_contact_url">{l s='Contact url:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_contact_url" id="gpndata_contact_url" value="{$gpndata_contact_url|escape:'htmlall':'UTF-8'}" /> <br><br>
					<sup class="sup-desc">The full URL to which you wish your customer to be redirected if they have questions about the order or the terms and conditions</sup>
				</div>
				<label for="gpndata_notifications_url">{l s='Notifications URL:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" readonly style="width:390px; background-color:#EBEDF4;" class="text" name="gpndata_notifications_url" id="gpndata_notifications_url" value="{$gpndata_notifications_url|escape:'htmlall':'UTF-8'}" /><br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">This is the notifications URL that you must provide to GPN Data Technical Support.</sup>
  			    </div>
				<label for="pretty_name">{l s='Pretty Name:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="pretty_name" id="pretty_name" value="{$pretty_name|escape:'htmlall':'UTF-8'}" /> <br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">This is the URL that you have received from GPN Data, used for full API functionality.</sup>
				</div>
				<label for="iframe_url">{l s='iFrame Script Url:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="iframe_url" id="iframe_url" value="{$iframe_url|escape:'htmlall':'UTF-8'}" /> <br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">This is the URL that you have received from GPN Data, used for full API functionality.</sup>
				</div>
				<label for="logo_url">{l s='Logo Full Path Url:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="logo_url" id="logo_url" value="{$logo_url|escape:'htmlall':'UTF-8'}" /> <br><br> 
					<sup class="sup-desc">The full URL to the image which you wish to be displayed as your logo on Payment Page.</sup>
				</div>
				<label for="gpndata_api_user">{l s='API User:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_api_user" id="gpndata_api_user" value="{$gpndata_api_user|escape:'htmlall':'UTF-8'}" /> <br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
				</div>
				<label for="gpndata_api_password">{l s='API Password:' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="password" style="width:390px;" class="text" name="gpndata_api_password" id="gpndata_api_password" value="{$gpndata_api_password|escape:'htmlall':'UTF-8'}" /> <br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
				</div>
					<label for="gpndata_api_key">{l s='API Access Key :' mod='gpndata'}</label>
				<div class="margin-form">
					<input type="text" style="width:390px;" class="text" name="gpndata_api_key" id="gpndata_api_key" value="{$gpndata_api_key|escape:'htmlall':'UTF-8'}" /> <br><br> <sup class="sup-ast">*</sup>
					<sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
				</div>
				<hr hidden size="1" style="background: #BBB; margin: 0; height: 1px;" noshade="">
				<br>
				<p  hidden class="MB10">{l s='Please fill out the URL section!' mod='gpndata'}</p>
				
			
				
				<hr size="1" style="background: #BBB; margin: 0; height: 1px;" noshade="">
				<br>
				<label hidden for="gpndata_environment">{l s='Environment mode: ' mod='gpndata'}</label>
				<div hidden id="gpndata_environment" class="margin-form">
					 <input type="radio" name="gpndata_environment_mode" value="1" {if $gpndata_environment_mode == 1}checked="checked"{/if}><span> Live mode</span><br>
					 <input type="radio" name="gpndata_environment_mode" value="2" {if $gpndata_environment_mode == 2}checked="checked"{/if}> Test mode (in production server)<br>
				     <input type="radio" name="gpndata_environment_mode" value="3" {if $gpndata_environment_mode == 3}checked="checked"{/if}> Test mode
				</div>
			 
				  <div class="margin-form">
				  <center id="form-end">
					<input type="submit" name="submitConfigurationData" value="{l s='Update module configuration' mod='gpndata'}" />
				  </center>
			</div>
				<span class="small"><sup class="sup-ast last">* {l s='Required Fields' mod='gpndata'}</sup></span>
			</div>
		</fieldset>
	</form>
</div>
