<br />
<link rel="stylesheet" type="text/css" href="{$module_dir}css/gpn.css">  
<legend style="line-height: 24px;"><img src="../modules/gpndata/img/logo.png" alt="" /></legend>
<div class="row">
  <div class="col-lg-7">
    <div class="panel">
     <div class="panel-heading">
        <i class="icon-money"></i>
        Payment history <span class="badge">{$historyRowCount|escape:'htmlall':'UTF-8'}</span>
     </div>

        <div class="table-responsive">
           <table class="table">
              <thead>
                 <tr>
                  <th><span>Transaction number</span></th>
        				  <th><span>Transaction status</span></th>
        				  <th><span>Description</span></th>
        				  <th><span>Amount</span></th>
                  <th><span>Date created</span></th>
                 </tr>
              </thead>
              <tbody>
      			    {foreach from=$historyData key=myId item=i}
      			    <tr>
                  <td>{$i.merchant_transaction_id}</td>
                  <td style="font-weight: bold; color: {if $i.transaction_status == 'CAPTURED'}green;{/if}
                    {if $i.transaction_status == 'CHARGEBACK'}red;{/if} 
                    {if $i.transaction_status == 'REFUNDED'}red;{/if}">{$i.transaction_status}</td>
                  <td>{$i.description}</td>
                  <td>{sprintf('%0.2f',$i.amount)} {$i.curcode}</td>
                  <td>{$i.date_add}</td>
      				  </tr>
      				  {/foreach}
                <tr>
                  <td hidden id="gpn-canc-date"><b>Date canceled: </b></td>
                  <td hidden id="gpn-canc-date">{$i.date_cancel}</td>
                </tr>
				<tr>
				  <td id="gpn-canc-date">
					<b style="font-weight: bold; color: {if $currentStatus == 'CAPTURED'}green !important;{/if}
                    {if $currentStatus == 'CHARGEBACK'}red !important;{/if} 
                    {if $currentStatus == 'REFUNDED'}#FF0000 !important;{/if}">Current state: {$currentStatus}</b>
					 <br/>
					<b>Current state description: {$currentDescription}</b>
					<br/>
					 <span id="gpn-inf-span"><b>{l s='Information retrieved on:' mod='gpndata'} {$smarty.now|date_format:"%Y-%m-%d %H:%M:%S"}</b></span>
				  </td>
				 
                </tr>
                <tr id="gpn-tr-last"> 
                  <td colspan="6" id="gpn-bb-none">
                    <button class="gpn-btn-submit" id="btn-cancel" data-toggle="modal" data-target="#confirmCancelTransactionModal" type="submit" hidden name="">Void/Cancel transaction</button>
                  </td>
                </tr>
              </tbody>
           </table>
        </div>
      </div>
  </div>

</div>

<div class="clear"></div>
	
