<link rel="stylesheet" type="text/css" href="{$module_dir}css/gpn.css">
<input type="hidden" value="{Token::getToken()}">
{if $gpndata_process_payment == 1}
<div class="payment_module"{if $gpndata_ps_version < '1.5'}{/if}>

	<img id="gpn-pp-logo" src="{$module_dir}img/logo.png" alt="GPN DATA" />
	<p name="gpndata_payment_description" id="gpn-payment-txtarea">{$gpndata_payment_description|escape:'htmlall':'UTF-8'}</p>
	<input id="button-confirm" type="button" value="Proceed to payment" class="btn btn-primary gpn-btn-submit" />
	<img id="gpn-secure" alt="secure" src="{$module_dir}img/secure-icon.png" />
	<div class="buttons">
 
</div> 
</div>
{else}
<div id="gpn-error" class="gpn-error">
	<p class="gpn-error-b">{l s='Unfortunately, an error occurred during the transaction.' mod='gpndata'}</p>
	<p class="gpn-error">{l s='Please double-check your credit card details and try again. If you need further assistance, feel free to contact us anytime.' mod='gpndata'}</p>
	<p id="payment-error" class="gpn-error">({l s='Payment provider responded:' mod='gpndata'} <span class="gpn-error-b">{$payment_error|escape:html:'UTF-8'}</span>)</p>
</div>
{/if}


 <script>
     $('#button-confirm').bind('click', function () {
      
         var error_message = "<?php echo $error_payment_request_not_processed; ?>";
         var message = "{Token::getToken()}";
         var post_data = {
             'token': 'test token'
         };
         $.ajax({
             url: 'index.php?fc=module&module=gpndata&controller=payment',
             type: 'POST',
             dataType: 'json',
             data: post_data,
             timeout: 10000,
             beforeSend: function () {
                 $('#button-confirm').attr('disabled', true);
                 $('#gpn-error').attr('style', 'display: none');
             },
             success: function (json) {
                 console.log(json);
                 if (json['success']) {
                     $('gpn-error').attr('style', 'display: none');
                     //  location = json['success'][0];
                 }

                 if (json['error']) {
                     $('#gpn-error').attr('style', '');
                     $('#payment-error').text(json['error'][0]);
                 }

                 $('#button-confirm').removeAttr("disabled");
             },
             error: function (jqXHR, textStatus, errorThrown) {
                 $('#gpn-error').attr('style', '');
                 $('#payment-error').text(jqXHR.responseText);
             }
         });
     }
      );
 </script>

