<link rel="stylesheet" type="text/css" href="{$module_dir}css/gpn.css">
<div id="payment" class="payment_module"{if $gpndata_ps_version < '1.5'}{/if}>
    <img id="gpn-pp-logo" src="{$module_dir}img/logo.png" alt="GPN DATA" />
    <p name="gpndata_payment_description" id="gpn-payment-txtarea">{$gpndata_payment_description|escape:'htmlall':'UTF-8'}</p>
    <button id="gpn-payment" href="#" class="gpn-btn-submit">
    <img id="gpn-secure" alt="secure" src="{$module_dir}img/secure-icon.png" />Proceed to payment</button>
</div>

<div id="gpn-error" class="gpn-error" style="display: none;">
	<p class="gpn-error-b">{l s='Unfortunately, an error occurred during the transaction.' mod='gpndata'}</p>
	<p class="gpn-error">{l s='Please double-check your credit card details and try again. If you need further assistance, feel free to contact us anytime.' mod='gpndata'}</p>
	<p class="gpn-error">({l s='Payment provider responded:' mod='gpndata'} <span class="gpn-error-b" id="payment-error"></span>)</p>
</div>

 <script>
     $('#gpn-payment').bind('click', function () {

         var error_message = "";
         var message = "{$token|escape:'htmlall':'UTF-8'}"
         var url = 'index.php?fc=module&module=gpndata&controller=payment' + '&token=' + "{$token|escape:'htmlall':'UTF-8'}";
         $.ajax({
             url: url,
             type: 'POST',
             dataType: 'json',
             //data: post_data,
             timeout: 10000,
             beforeSend: function () {
                 $('#button-confirm').attr('disabled', true);
                 $('#gpn-error').attr('style', 'display: none');
             },
             success: function (json) {
                 if (json['success']) {
                     $('gpn-error').attr('style', 'display: none');
                     window.location = json['success'][0];
                 }

                 if (json['error']) {
                     console.log(json['error']);
                     $('#payment').attr('style', 'display:none;');
                     $('#gpn-error').attr('style', '');
                     $('#payment-error').text(json['error'][0]);
                 }

                 $('#button-confirm').removeAttr("disabled");
             },
             error: function (jqXHR, textStatus, errorThrown) {
                 console.log(jqXHR);
                 $('#gpn-error').attr('style', '');
                 $('#payment-error').text(jqXHR.responseText);
             }
         });
     }
      );
 </script>


